%define upstream_name Path-IsDev
%define upstream_version 1.001003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Determine if a given Path resembles a development source tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/KENTNL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Tiny) >= 0.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Path::Tiny) >= 0.4.0
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Role::Tiny::With)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is more or less a bunch of heuristics for determining if a
given path is a development tree root of some kind.

This has many useful applications, notably ones that require behaviours
for "installed" modules to be different to those that are still "in
development"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.3-5.mga10
+ Revision: 2204269
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.1.3-4.mga9
+ Revision: 1810033
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.3-3.mga8
+ Revision: 1505947
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.1.3-2.mga7
+ Revision: 1285705
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 1.1.3-1.mga7
+ Revision: 1168668
- update to 1.001003

* Sun Jun 19 2016 pterjan <pterjan> 1.1.2-5.mga6
+ Revision: 1031884
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.1.2-4.mga6
+ Revision: 934514
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 744216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 685915
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1.1.2-1.mga5
+ Revision: 672942
- update to 1.001002

* Mon Mar 03 2014 jquelin <jquelin> 1.1.0-1.mga5
+ Revision: 598703
- update to 1.001000

* Thu Feb 06 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 584522
- update to 1.000002

* Mon Oct 21 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 540789
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 494310
- update to 0.6.0

* Mon Sep 30 2013 sander85 <sander85> 0.4.0-1.mga4
+ Revision: 489673
- update to 0.4.0

* Fri Sep 27 2013 sander85 <sander85> 0.3.3-1.mga4
+ Revision: 488029
- update to 0.3.3

* Tue Sep 24 2013 sander85 <sander85> 0.3.2-1.mga4
+ Revision: 485581
- update to 0.3.2

* Fri Sep 06 2013 sander85 <sander85> 0.2.3-1.mga4
+ Revision: 475484
- imported package perl-Path-IsDev

